import { CSSResult } from 'lit';
import { LitElement } from 'lit';
import { TemplateResult } from 'lit-html';

declare abstract class PlusBase extends LitElement {
    static styles: CSSResult[];
    id: string;
    name: string;
    value: string | number;
    disabled: boolean;
    readonly: boolean;
    required: boolean;
    loading: boolean;
    title: string;
    emit(name: string, options?: CustomEventInit): CustomEvent<any>;
}

export declare class TabComponent extends PlusBase {
    static styles: CSSResult[];
    size: "sm" | "md" | "lg";
    active: boolean;
    kind: "vertical" | "horizontal";
    constructor();
    render(): TemplateResult;
}

export { }
